'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _jestChangedFiles;

function _load_jestChangedFiles() {
  return (_jestChangedFiles = require('jest-changed-files'));
}

var _jestMessageUtil;

function _load_jestMessageUtil() {
  return (_jestMessageUtil = require('jest-message-util'));
}

var _chalk;

function _load_chalk() {
  return (_chalk = _interopRequireDefault(require('chalk')));
}

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : {default: obj};
}

exports.default = (globalConfig, configs) => {
  if (globalConfig.onlyChanged) {
    const allRootsForAllProjects = configs.reduce(
      (roots, config) => roots.concat(config.roots || []),
      []
    );
    return (0,
    (_jestChangedFiles || _load_jestChangedFiles()).getChangedFilesForRoots)(
      allRootsForAllProjects,
      {
        changedSince: globalConfig.changedSince,
        lastCommit: globalConfig.lastCommit,
        withAncestor: globalConfig.changedFilesWithAncestor
      }
    ).catch(e => {
      const message = (0,
      (_jestMessageUtil || _load_jestMessageUtil()).formatExecError)(
        e,
        configs[0],
        {noStackTrace: true}
      )
        .split('\n')
        .filter(line => !line.includes('Command failed:'))
        .join('\n');

      console.error((_chalk || _load_chalk()).default.red(`\n\n${message}`));

      process.exit(1);

      // We do process.exit, so this is dead code
      return Promise.reject(e);
    });
  }

  return undefined;
};
/**
 * Copyright (c) 2014-present, Facebook, Inc. All rights reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 *
 */
